Skip to content

エージェンシーランキング - 売上ランキング

概要

TikTokパートナーエージェンシーの売上ランキングデータを取得します。以下の機能をサポートします。

  • フィルターパラメータの設定が可能
  • カスタムソート順に対応

エンドポイント

bash
    POST /agency/v1/rank/salesRank

リクエストボディ

フィールド必須説明
filterobjectいいえフィルターパラメータ
orderbyobjectいいえソートパラメータ
pageintegerいいえページ番号, デフォルト値: 1
pagesizeintegerいいえ1ページあたりの件数, デフォルト: 10

filter オプション

フィールド必須説明
regionstringいいえ地域
date_infoobjectいいえ日付情報

region 範囲: ['US','GB','MX','ES','DE','IT','FR','PT','NL','BE','AT','PL','ID','VN','MY','TH','PH','BR','JP','SG']

orderby オプション

フィールド必須説明
usd_gmvいいえGMV(降順)

リクエスト例

bash
curl 'https://openapi.fastmoss.com/agency/v1/rank/salesRank' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "date_info": {
            "type": "week",
            "value": "2026-05"
        }
    },
    "orderby": [
      {
        "field": "usd_gmv",
        "order": "desc",
      }
    ],
    "page": 1,
    "pagesize": 10
}'

レスポンスボディ

data.total

結果の総数

data.list

フィールド説明
idstringエージェンシーID
secidstringエージェンシーsecid
regioninteger地域
currencyinteger通貨
gmvintegerGMV
usd_gmvintegerUSD GMV
gmv_inc_ratestringGMV成長率
commission_rateintegerコミッション率
hot_categoryarray<object>人気カテゴリ
total_affiliate_countinteger総アフィリエイトクリエイター数
inc_affiliate_countinteger新規アフィリエイトクリエイター数
sale_affiliate_countintegerアクティブ販売クリエイター数
product_countinteger総商品数
inc_product_countinteger新規商品数
sale_product_countintegerアクティブ販売商品数
agencyobjectエージェンシー情報

data.list.agency

フィールド説明
idstringエージェンシーID
secidstringエージェンシーsecid
namestringエージェンシー名
regionstringエージェンシー地域
introductionstringエージェンシー紹介
logo_coverstringエージェンシーロゴ

レスポンス例

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "id": "8649512756612795142",
        "secid": "7c3d85e96c36244a5f5184a5cfbb98f6",
        "region": "GB",
        "currency": "GBP",
        "gmv": 209066.76,
        "usd_gmv": 259242.78,
        "gmv_inc_rate": "-24.91%",
        "commission_rate": 990,
        "hot_category": [
          { "category_id": 14, "name": "Beauty & Personal Care" },
          { "category_id": 2, "name": "Womenswear & Underwear" },
          { "category_id": 3, "name": "Menswear & Underwear" }
        ],
        "total_affiliate_count": 301,
        "inc_affiliate_count": 67,
        "sale_affiliate_count": 138,
        "product_count": 63610,
        "inc_product_count": 656,
        "sale_product_count": 22035,
        "agency": {
          "id": "8649512756612795142",
          "secid": "7c3d85e96c36244a5f5184a5cfbb98f6",
          "name": "VibraVerse",
          "region": "GB",
          "introduction": "",
          "logo_cover": "https://s.500fd.com/tt_partner/wsos65b11f86df324b05"
        }
      }
    ],
    "total": 500,
    "date_type": "week",
    "date_value": "2026-03"
  },
  "msg": "success"
}